--TEST--
inverted #9 - Context Misses
--DESCRIPTION--
Context Misses - Failed context lookups should be considered falsey.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '[{{^missing}}Cannot find key \'missing\'!{{/missing}}]';
$context = array();
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
[Cannot find key 'missing'!]