--TEST--
sections #24 - Standalone Without Previous Line
--DESCRIPTION--
Standalone Without Previous Line - Standalone tags should not require a newline to precede them.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '  {{#boolean}}
#{{/boolean}}
/';
$context = array(
        'boolean' => true,
    );
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
#
/