--TEST--
interpolation #5 - Ampersand
--DESCRIPTION--
Ampersand - Ampersand should interpolate without HTML escaping.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'These characters should not be HTML escaped: {{&forbidden}}
';
$context = array(
        'forbidden' => '& " < >',
    );
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
These characters should not be HTML escaped: & " < >
