--TEST--
interpolation #9 - Basic Decimal Interpolation
--DESCRIPTION--
Basic Decimal Interpolation - Decimals should interpolate seamlessly with proper significance.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{power}} jiggawatts!"';
$context = array(
        'power' => 1.21,
    );
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"1.21 jiggawatts!"